Index: /trunk/source/Lib/TLibCommon/TComResidualGenerator.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComResidualGenerator.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComResidualGenerator.h	(revision 332)
@@ -70,11 +70,6 @@
 
 #if H3D_NBDV
-#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Bool  getResidualSamples    ( TComDataCU*   pcCU,  UInt uiPUIdx, TComYuv* pcYuv, TComMv iDisp_x, Bool bRecon );
   Bool  getResidualSamples    ( TComPic* pcPic, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv , TComMv iDisp_x, Bool bRecon );
-#else
-  Bool  getResidualSamples    ( TComDataCU*   pcCU,  UInt uiPUIdx, TComYuv* pcYuv, Int iDisp, Bool bRecon ); 
-  Bool  getResidualSamples    ( TComPic* pcPic, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv , Int iDisp, Bool bRecon ); 
-#endif
 #else // H3D_NBDV
   Bool  getResidualSamples    ( TComDataCU*   pcCU,  UInt uiPUIdx, TComYuv* pcYuv, Bool bRecon ); 
@@ -90,9 +85,5 @@
   Void  xClearResidual        (                      TComYuv* pcCUResidual, UInt uiAbsPartIdx, UInt uiWidth, UInt uiHeight );
 #if H3D_NBDV
-#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Void  xSetPredResidualBlock ( TComPic*      pcPic, UInt uiBaseViewId, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, TComMv iDisp, UInt * puiXPosInRefView , UInt * puiYPosInRefView , Bool bRecon  );    
-#else
-  Void  xSetPredResidualBlock ( TComPic*      pcPic, UInt uiBaseViewId, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, Int iDisp, UInt * puiXPosInRefView , UInt * puiYPosInRefView , Bool bRecon  ); 
-#endif
 #else
   Void  xSetPredResidualBlock ( TComPic*      pcPic, UInt uiBaseViewId, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, UInt * puiXPosInRefView , UInt * puiYPosInRefView , Bool bRecon  ); 
Index: /trunk/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 332)
@@ -306,9 +306,5 @@
 
 #if RWTH_SDC_DLT_B0036
-#if SAIT_SDC_C0096
 UInt g_auiSDCPredModes[RWTH_SDC_NUM_PRED_MODES] = { DC_IDX, DMM_WEDGE_FULL_IDX, PLANAR_IDX };
-#else
-UInt g_auiSDCPredModes[RWTH_SDC_NUM_PRED_MODES] = { DC_IDX, DMM_WEDGE_FULL_IDX, DMM_WEDGE_PREDDIR_IDX, PLANAR_IDX };
-#endif
 #endif
 
Index: /trunk/source/Lib/TLibCommon/TComRom.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComRom.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComRom.h	(revision 332)
@@ -194,9 +194,5 @@
 
 #if RWTH_SDC_DLT_B0036
-#if SAIT_SDC_C0096
 #define RWTH_SDC_NUM_PRED_MODES 3
-#else
-#define RWTH_SDC_NUM_PRED_MODES 4
-#endif
 extern      UInt g_auiSDCPredModes[RWTH_SDC_NUM_PRED_MODES];
 #endif
Index: /trunk/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 332)
@@ -1546,5 +1546,5 @@
 , m_bUseDMM34                   (false)
 #endif
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
 , m_bUseQTLPC                 (false)
 #endif
Index: /trunk/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComSlice.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComSlice.h	(revision 332)
@@ -375,5 +375,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool m_bUseQTLPC;
 #endif
@@ -617,5 +617,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Void setUseQTLPC( Bool b ) { m_bUseQTLPC = b;    }
   Bool getUseQTLPC()         { return m_bUseQTLPC; }
Index: /trunk/source/Lib/TLibCommon/TComYuv.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComYuv.cpp	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComYuv.cpp	(revision 332)
@@ -392,12 +392,4 @@
 }
 
-#if LG_RESTRICTEDRESPRED_M24766  && !MTK_MDIVRP_C0138
-Void
-TComYuv::add(Int *iPUResiPredShift, PartSize uhPartitionSize,  TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract )
-{
-  addLuma   (iPUResiPredShift, uhPartitionSize, pcYuvAdd, iWidth,    iHeight,    bSubtract );
-  addChroma (iPUResiPredShift, uhPartitionSize, pcYuvAdd, iWidth>>1, iHeight>>1, bSubtract );
-}
-#else
 Void
 TComYuv::add( TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract )
@@ -406,40 +398,8 @@
   addChroma ( pcYuvAdd, iWidth>>1, iHeight>>1, bSubtract );
 }
-#endif
-
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-Void
-TComYuv::getPUXYOffset(PartSize uhPartitionSize, Int iWidth, Int iHeight, Int &iXOffset, Int &iYOffset)
-{
-  switch(uhPartitionSize)
-  {    
-  case SIZE_2NxN:
-    iXOffset = iWidth;      iYOffset = iHeight >> 1;   break;
-  case SIZE_2NxnU:
-    iXOffset = iWidth;      iYOffset = iHeight >> 2;   break;
-  case SIZE_2NxnD: 
-    iXOffset = iWidth;      iYOffset = (iHeight >> 1) + (iHeight >> 2);   break;
-  case SIZE_Nx2N:
-    iXOffset = iWidth >> 1; iYOffset = iHeight; break;
-  case SIZE_nLx2N:
-    iXOffset = iWidth >> 2; iYOffset = iHeight; break;
-  case SIZE_nRx2N:
-    iXOffset = (iWidth >> 1) + (iWidth >> 2); iYOffset = iHeight; break;
-  case SIZE_NxN:
-    iXOffset = iWidth >> 1; iYOffset = iHeight >> 1;  break;
-  default:
-    assert(uhPartitionSize == SIZE_2Nx2N);
-    iXOffset = iWidth;     iYOffset = iHeight;    break;
-  }
-}
-#endif
-
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-Void 
-TComYuv::addLuma(Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract )
-#else
+
+
 Void
 TComYuv::addLuma( TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract )
-#endif
 {
   Int   iScale      = ( bSubtract ? -1 : 1 );
@@ -449,47 +409,4 @@
   Pel*  pDstSamples = getLumaAddr();
 
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  Int iXOffset, iYOffset;
-
-  getPUXYOffset(uhPartitionSize, iWidth, iHeight, iXOffset, iYOffset);
-
-  for( Int iY = 0; iY < iYOffset; iY++, pDstSamples += iDstStride, pAddSamples += iAddStride )
-  {
-    if(iPUResiPredShift[0] >= 0)
-    {
-      for( Int iX = 0; iX < iXOffset; iX++ )
-      {
-        pDstSamples[iX] += iScale * (pAddSamples[iX] >> iPUResiPredShift[0]);
-      }
-    }
-
-    if(iPUResiPredShift[1] >= 0)
-    {
-      for( Int iX = iXOffset; iX < iWidth; iX++ )
-      {
-        pDstSamples[iX] += iScale * (pAddSamples[iX] >> iPUResiPredShift[1]);
-      }
-    }
-  }
-
-  for( Int iY = iYOffset; iY < iHeight; iY++, pDstSamples += iDstStride, pAddSamples += iAddStride )
-  {
-    if(iPUResiPredShift[2] >= 0)
-    {
-      for( Int iX = 0; iX < iXOffset; iX++ )
-      {
-        pDstSamples[iX] += iScale * (pAddSamples[iX] >> iPUResiPredShift[2]);
-      }
-    }
-
-    if(iPUResiPredShift[3] >= 0)
-    {
-      for( Int iX = iXOffset; iX < iWidth; iX++ )
-      {
-        pDstSamples[iX] += iScale * (pAddSamples[iX] >> iPUResiPredShift[3]);
-      }
-    }
-  }
-#else
   for( Int iY = 0; iY < iHeight; iY++, pDstSamples += iDstStride, pAddSamples += iAddStride )
   {
@@ -499,14 +416,8 @@
     }
   }
-#endif
-}
-
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-Void 
-TComYuv::addChroma(Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract )
-#else
+}
+
 Void
 TComYuv::addChroma( TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract )
-#endif
 {
   Int   iScale        = ( bSubtract ? -1 : 1 );
@@ -518,53 +429,4 @@
   Pel*  pDstSamplesCr = getCrAddr();
 
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  Int iXOffset, iYOffset;
- 
-  getPUXYOffset(uhPartitionSize, iWidth, iHeight, iXOffset, iYOffset);
-
-  for( Int iY = 0; iY < iYOffset; iY++, pDstSamplesCb += iDstStride, pAddSamplesCb += iAddStride,
-    pDstSamplesCr += iDstStride, pAddSamplesCr += iAddStride  )
-  {
-    if(iPUResiPredShift[0] >= 0)
-    {
-      for( Int iX = 0; iX < iXOffset; iX++ )
-      {
-        pDstSamplesCb[iX] += iScale * (pAddSamplesCb[iX] >> iPUResiPredShift[0]);
-        pDstSamplesCr[iX] += iScale * (pAddSamplesCr[iX] >> iPUResiPredShift[0]);
-      }
-    }
-
-    if(iPUResiPredShift[1] >= 0)
-    {
-      for( Int iX = iXOffset; iX < iWidth; iX++ )
-      {
-        pDstSamplesCb[iX] += iScale * (pAddSamplesCb[iX] >> iPUResiPredShift[1]);
-        pDstSamplesCr[iX] += iScale * (pAddSamplesCr[iX] >> iPUResiPredShift[1]);
-      }
-    }
-  }
-
-  for( Int iY = iYOffset; iY < iHeight; iY++, pDstSamplesCb += iDstStride, pAddSamplesCb += iAddStride,
-    pDstSamplesCr += iDstStride, pAddSamplesCr += iAddStride  )
-  {
-    if(iPUResiPredShift[2] >= 0)
-    {
-      for( Int iX = 0; iX < iXOffset; iX++ )
-      {
-        pDstSamplesCb[iX] += iScale * (pAddSamplesCb[iX] >> iPUResiPredShift[2]);
-        pDstSamplesCr[iX] += iScale * (pAddSamplesCr[iX] >> iPUResiPredShift[2]);
-      }
-    }
-
-    if(iPUResiPredShift[3] >= 0)
-    {
-      for( Int iX = iXOffset; iX < iWidth; iX++ )
-      {
-        pDstSamplesCb[iX] += iScale * (pAddSamplesCb[iX] >> iPUResiPredShift[3]);
-        pDstSamplesCr[iX] += iScale * (pAddSamplesCr[iX] >> iPUResiPredShift[3]);
-      }
-    }
-  }
-#else
   for( Int iY = 0; iY < iHeight; iY++, pDstSamplesCb += iDstStride, pAddSamplesCb += iAddStride,
                                        pDstSamplesCr += iDstStride, pAddSamplesCr += iAddStride  )
@@ -576,5 +438,4 @@
     }
   }
-#endif
 }
 
@@ -676,11 +537,4 @@
 }
 
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-Void TComYuv::subtract(Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize )
-{
-  subtractLuma  (iPUResiPredShift, uhPartitionSize, pcYuvSrc0, pcYuvSrc1,  uiTrUnitIdx, uiPartSize    );
-  subtractChroma(iPUResiPredShift, uhPartitionSize, pcYuvSrc0, pcYuvSrc1,  uiTrUnitIdx, uiPartSize>>1 );
-}
-#else
 Void TComYuv::subtract( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize )
 {
@@ -688,11 +542,6 @@
   subtractChroma( pcYuvSrc0, pcYuvSrc1,  uiTrUnitIdx, uiPartSize>>1 );
 }
-#endif
-
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-Void TComYuv::subtractLuma(Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize )
-#else
+
 Void TComYuv::subtractLuma( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize )
-#endif
 {
   Int x, y;
@@ -706,26 +555,9 @@
   Int  iDstStride  = getStride();
 
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  Int iXOffset, iYOffset;
-
-  getPUXYOffset(uhPartitionSize, uiPartSize, uiPartSize, iXOffset, iYOffset);
-
-#if FIX_LG_RESTRICTEDRESPRED_M24766
-  for ( y = 0; y < iYOffset; y++ )
-  {
-    if(iPUResiPredShift[0] >= 0)
-    {
-      for ( x = 0; x < iXOffset; x++ )
-      {
-        pDst[x] = pSrc0[x] - (pSrc1[x] >> iPUResiPredShift[0]);
-      }
-    }
-
-    if(iPUResiPredShift[1] >= 0)
-    {
-      for ( x = iXOffset; x < uiPartSize; x++ )
-      {
-        pDst[x] = pSrc0[x] - (pSrc1[x] >> iPUResiPredShift[1]);
-      }
+  for ( y = uiPartSize-1; y >= 0; y-- )
+  {
+    for ( x = uiPartSize-1; x >= 0; x-- )
+    {
+      pDst[x] = pSrc0[x] - pSrc1[x];
     }
     pSrc0 += iSrc0Stride;
@@ -733,90 +565,7 @@
     pDst  += iDstStride;
   }
-
-  for ( y = iYOffset; y < uiPartSize; y++ )
-  {
-    if(iPUResiPredShift[2] >= 0)
-    {
-      for ( x = 0; x < iXOffset; x++ )
-      {
-        pDst[x] = pSrc0[x] - (pSrc1[x] >> iPUResiPredShift[2]);
-      }
-    }
-
-    if(iPUResiPredShift[3] >= 0)
-    {
-      for ( x = iXOffset; x < uiPartSize; x++ )
-      {
-        pDst[x] = pSrc0[x] - (pSrc1[x] >> iPUResiPredShift[3]);
-      }
-    }
-    pSrc0 += iSrc0Stride;
-    pSrc1 += iSrc1Stride;
-    pDst  += iDstStride;
-  }
-#else
-  for ( y = uiPartSize-1; y >= iYOffset; y-- )
-  {
-    if(iPUResiPredShift[3] >= 0)
-    {
-      for ( x = uiPartSize-1; x >= iXOffset; x-- )
-      {
-        pDst[x] = pSrc0[x] - (pSrc1[x] >> iPUResiPredShift[3]);
-      }
-    }
-
-    if(iPUResiPredShift[2] >= 0)
-    {
-      for ( x = iXOffset-1; x >= 0; x-- )
-      {
-        pDst[x] = pSrc0[x] - (pSrc1[x] >> iPUResiPredShift[2]);
-      }
-    }
-    pSrc0 += iSrc0Stride;
-    pSrc1 += iSrc1Stride;
-    pDst  += iDstStride;
-  }
-
-  for ( y = iYOffset-1; y >= 0; y-- )
-  {
-    if(iPUResiPredShift[1] >= 0)
-    {
-      for ( x = uiPartSize-1; x >= iXOffset; x-- )
-      {
-        pDst[x] = pSrc0[x] - (pSrc1[x] >> iPUResiPredShift[3]);
-      }
-    }
-
-    if(iPUResiPredShift[0] >= 0)
-    {
-      for ( x = iXOffset-1; x >= 0; x-- )
-      {
-        pDst[x] = pSrc0[x] - (pSrc1[x] >> iPUResiPredShift[2]);
-      }
-    }
-    pSrc0 += iSrc0Stride;
-    pSrc1 += iSrc1Stride;
-    pDst  += iDstStride;
-  }
-#endif
-#else
-  for ( y = uiPartSize-1; y >= 0; y-- )
-  {
-    for ( x = uiPartSize-1; x >= 0; x-- )
-    {
-      pDst[x] = pSrc0[x] - pSrc1[x];
-    }
-    pSrc0 += iSrc0Stride;
-    pSrc1 += iSrc1Stride;
-    pDst  += iDstStride;
-  }
-#endif
-}
-
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-Void TComYuv::subtractChroma(Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize )
-#else
+}
+
 Void TComYuv::subtractChroma( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize )
-#endif
 {
   Int x, y;
@@ -832,28 +581,10 @@
   Int  iSrc1Stride = pcYuvSrc1->getCStride();
   Int  iDstStride  = getCStride();
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  Int iXOffset, iYOffset;
- 
-  getPUXYOffset(uhPartitionSize, uiPartSize, uiPartSize, iXOffset, iYOffset);
-
-#if FIX_LG_RESTRICTEDRESPRED_M24766
-  for ( y = 0; y < iYOffset; y++ )
-  {
-    if(iPUResiPredShift[0] >= 0)
-    {
-      for ( x = 0; x < iXOffset; x++ )
-      {
-        pDstU[x] = pSrcU0[x] - (pSrcU1[x]>>iPUResiPredShift[0]);
-        pDstV[x] = pSrcV0[x] - (pSrcV1[x]>>iPUResiPredShift[0]);
-      }
-    }
-
-    if(iPUResiPredShift[1] >= 0)
-    {
-      for ( x = iXOffset; x < uiPartSize; x++ )
-      {
-        pDstU[x] = pSrcU0[x] - (pSrcU1[x]>>iPUResiPredShift[1]);
-        pDstV[x] = pSrcV0[x] - (pSrcV1[x]>>iPUResiPredShift[1]);
-      }
+  for ( y = uiPartSize-1; y >= 0; y-- )
+  {
+    for ( x = uiPartSize-1; x >= 0; x-- )
+    {
+      pDstU[x] = pSrcU0[x] - pSrcU1[x];
+      pDstV[x] = pSrcV0[x] - pSrcV1[x];
     }
     pSrcU0 += iSrc0Stride;
@@ -864,102 +595,4 @@
     pDstV  += iDstStride;
   }
-
-  for ( y = iYOffset; y < uiPartSize; y++ )
-  {
-    if(iPUResiPredShift[2] >= 0)
-    {
-      for ( x = 0; x < iXOffset; x++ )
-      {
-        pDstU[x] = pSrcU0[x] - (pSrcU1[x]>>iPUResiPredShift[2]);
-        pDstV[x] = pSrcV0[x] - (pSrcV1[x]>>iPUResiPredShift[2]);
-      }
-    }
-
-    if(iPUResiPredShift[3] >= 0)
-    {
-      for ( x = iXOffset; x < uiPartSize; x++ )
-      {
-        pDstU[x] = pSrcU0[x] - (pSrcU1[x]>>iPUResiPredShift[3]);
-        pDstV[x] = pSrcV0[x] - (pSrcV1[x]>>iPUResiPredShift[3]);
-      }
-    }
-    pSrcU0 += iSrc0Stride;
-    pSrcU1 += iSrc1Stride;
-    pSrcV0 += iSrc0Stride;
-    pSrcV1 += iSrc1Stride;
-    pDstU  += iDstStride;
-    pDstV  += iDstStride;
-  }
-#else
-  for ( y = uiPartSize-1; y >= iYOffset; y-- )
-  {
-    if(iPUResiPredShift[3] >= 0)
-    {
-      for ( x = uiPartSize-1; x >= iXOffset; x-- )
-      {
-        pDstU[x] = pSrcU0[x] - (pSrcU1[x]>>iPUResiPredShift[3]);
-        pDstV[x] = pSrcV0[x] - (pSrcV1[x]>>iPUResiPredShift[3]);
-      }
-    }
-
-    if(iPUResiPredShift[2] >= 0)
-    {
-      for ( x = iXOffset-1; x >= 0; x-- )
-      {
-        pDstU[x] = pSrcU0[x] - (pSrcU1[x]>>iPUResiPredShift[2]);
-        pDstV[x] = pSrcV0[x] - (pSrcV1[x]>>iPUResiPredShift[2]);
-      }
-    }
-    pSrcU0 += iSrc0Stride;
-    pSrcU1 += iSrc1Stride;
-    pSrcV0 += iSrc0Stride;
-    pSrcV1 += iSrc1Stride;
-    pDstU  += iDstStride;
-    pDstV  += iDstStride;
-  }
-
-  for ( y = iYOffset-1; y >= 0; y-- )
-  {
-    if(iPUResiPredShift[1] >= 0)
-    {
-      for ( x = uiPartSize-1; x >= iXOffset; x-- )
-      {
-        pDstU[x] = pSrcU0[x] - (pSrcU1[x]>>iPUResiPredShift[1]);
-        pDstV[x] = pSrcV0[x] - (pSrcV1[x]>>iPUResiPredShift[1]);
-      }
-    }
-
-    if(iPUResiPredShift[0] >= 0)
-    {
-      for ( x = iXOffset-1; x >= 0; x-- )
-      {
-        pDstU[x] = pSrcU0[x] - (pSrcU1[x]>>iPUResiPredShift[0]);
-        pDstV[x] = pSrcV0[x] - (pSrcV1[x]>>iPUResiPredShift[0]);
-      }
-    }
-    pSrcU0 += iSrc0Stride;
-    pSrcU1 += iSrc1Stride;
-    pSrcV0 += iSrc0Stride;
-    pSrcV1 += iSrc1Stride;
-    pDstU  += iDstStride;
-    pDstV  += iDstStride;
-  }
-#endif
-#else
-  for ( y = uiPartSize-1; y >= 0; y-- )
-  {
-    for ( x = uiPartSize-1; x >= 0; x-- )
-    {
-      pDstU[x] = pSrcU0[x] - pSrcU1[x];
-      pDstV[x] = pSrcV0[x] - pSrcV1[x];
-    }
-    pSrcU0 += iSrc0Stride;
-    pSrcU1 += iSrc1Stride;
-    pSrcV0 += iSrc0Stride;
-    pSrcV1 += iSrc1Stride;
-    pDstU  += iDstStride;
-    pDstV  += iDstStride;
-  }
-#endif
 }
 
Index: /trunk/source/Lib/TLibCommon/TComYuv.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComYuv.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComYuv.h	(revision 332)
@@ -146,14 +146,7 @@
   Void    addClipPartLuma   ( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize ); //GT
 
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  //  pcYuvSrc0 - pcYuvSrc1 -> m_apiBuf
-  Void    subtract          (Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize );
-  Void    subtractLuma      (Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize );
-  Void    subtractChroma    (Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize );
-#else
   Void    subtract          ( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize );
   Void    subtractLuma      ( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize );
   Void    subtractChroma    ( TComYuv* pcYuvSrc0, TComYuv* pcYuvSrc1, UInt uiTrUnitIdx, UInt uiPartSize );
-#endif
   
   //  (pcYuvSrc0 + pcYuvSrc1)/2 for YUV partition
@@ -166,14 +159,7 @@
   //   Remove High frequency
   Void    removeHighFreq    ( TComYuv* pcYuvSrc, UInt uiPartIdx, UInt uiWidht, UInt uiHeight );
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  Void    getPUXYOffset     (PartSize uhPartitionSize, Int iWidth, Int iHeight, Int &iXOffset, Int &iYOffset);
-  Void    add               (Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract = false );
-  Void    addLuma           (Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract );
-  Void    addChroma         (Int *iPUResiPredShift, PartSize uhPartitionSize, TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract );
-#else
   Void    add               ( TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract = false );
   Void    addLuma           ( TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract );
   Void    addChroma         ( TComYuv* pcYuvAdd, Int iWidth, Int iHeight, Bool bSubtract );
-#endif
 
   Void    clip              ( Int iWidth, Int iHeight );
Index: /trunk/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TypeDef.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TypeDef.h	(revision 332)
@@ -57,19 +57,14 @@
 #define HHI_DMM_PRED_TEX                  1   // depth model modes dependent on texture (inter-component Wedgelet and Contour prediction )
                                               // HHIQC_DMMFASTSEARCH_B0039, fast Wedgelet search for DMM modes 1 and 3
+                                              // HHI_DMM_DELTADC_Q1_C0034   JCT3V-C0034: no quantization and fast encoder search for DMM delta DC values
+                                              // FIX_DMM_CTX_INIT_C0034 JCT3V-C0034 fix for wrong init type of DMM contexts (UChar instead of Short)
 
 #define LGE_EDGE_INTRA_A0070              1   // JCT3V-A0070
-
-#define HHI_DMM_DELTADC_Q1_C0034          1   // JCT3V-C0034: no quantization and fast encoder search for DMM delta DC values
-#if ( HHI_DMM_PRED_TEX || HHI_DMM_WEDGE_INTRA ) && HHI_DMM_PRED_TEX
 #define LGE_DMM3_SIMP_C0044               1
-#endif
-#define FIX_DMM_CTX_INIT_C0034            1   // JCT3V-C0034 fix for wrong init type of DMM contexts (UChar instead of Short)
 
 ///// ***** SDC *********
 #define RWTH_SDC_DLT_B0036                1   // JCT3V-B0036: Simplified Depth Coding + Depth Lookup Table
-#if RWTH_SDC_DLT_B0036
-#define SAIT_SDC_C0096                    1   // JCT3V-C0096: Improved Simple Depth Coding(removal of DMM2 among four SDC modes(DC, Planar, DMM1 and DMM2))
-#endif
-#define FIX_SDC_ENC_C0143                 1   // JCT3V-C0143 fix for unnecessary encoder checks in case of SDC
+                                              // SAIT_SDC_C0096 JCT3V-C0096: Improved Simple Depth Coding(removal of DMM2 among four SDC modes(DC, Planar, DMM1 and DMM2))
+                                              // FIX_SDC_ENC_C0143, JCT3V-C0143 fix for unnecessary encoder checks in case of SDC
 
 ///// ***** TMVP/AMVP *********
@@ -87,6 +82,6 @@
                                               // OL_DISMV_POS_B0069            , different pos for disparity MV candidate, B0069
                                               // MTK_INTERVIEW_MERGE_A0049     , second part
-#define QC_AMVP_MRG_UNIFY_IVCAN_C0051     1
-#define QC_C0051_FIXED_BY_MTK             1   // Bug fix for C0051 implementation
+                                              // QC_C0051_FIXED_BY_MTK             1   // Bug fix for C0051 implementation
+                                              // QC_AMVP_MRG_UNIFY_IVCAN_C0051     1
 
 
@@ -95,14 +90,8 @@
                                               // HHI_INTER_VIEW_RESIDUAL_PRED
                                               // QC_SIMPLIFIEDIVRP_M24938 
-#if H3D_IVRP       
-#define LG_RESTRICTEDRESPRED_M24766       1   // Restricted inter-view residual prediction
-#define FIX_LG_RESTRICTEDRESPRED_M24766   1
-#else                                  
-#define LG_RESTRICTEDRESPRED_M24766       0
-#endif
-
-#define MTK_MDIVRP_C0138                  1   // Mode-dependent inter-view residual prediction
-#define MTK_C0138_FIXED                   1   // Fix for IBP coding structure in view direction (not CTC)
-
+                                              // MTK_C0138_FIXED                   // Fix for IBP coding structure in view direction (not CTC)
+                                              // MTK_MDIVRP_C0138
+                                              // LG_RESTRICTEDRESPRED_M24766       1   // Restricted inter-view residual prediction
+                                              // FIX_LG_RESTRICTEDRESPRED_M24766   1
 
 ///// ***** DISPARITY VECTOR DERIVATION *********
@@ -117,9 +106,9 @@
                                               // FIX_LGE_IVMP_PARALLEL_MERGE_B0136
 
-#define QC_NBDV_LDB_FIX_C0055             1   // JCT3V-C0055
-#define MTK_SAIT_TEMPORAL_FIRST_ORDER_C0141_C0097     1   // JCT3V-C0141/C0097
-#define MTK_RELEASE_DV_CONSTRAINT_C0129   1   // JCT3V-C0129
-#define MTK_SIMPLIFY_DVTC_C0135           1   // JCT3V-C0135
-#define FIX_CHROMA_RESIDUAL_C0129         1 
+                                              // QC_NBDV_LDB_FIX_C0055
+                                              // MTK_SAIT_TEMPORAL_FIRST_ORDER_C0141_C0097
+                                              // MTK_RELEASE_DV_CONSTRAINT_C0129   
+                                              // MTK_SIMPLIFY_DVTC_C0135           
+                                              // FIX_CHROMA_RESIDUAL_C0129         
 
 ///// ***** MOTION PARAMETER INHERITANCE  *********
@@ -145,7 +134,7 @@
 ///// ***** ILLUMINATION COMPENSATON *********
 #define LGE_ILLUCOMP_B0045                1   // JCT2-B0045 Illumination compensation for Luma and Chroma
+                                              // LGE_ILLUCOMP_B0045_ENCSIMP
+                                              // FIX_LGE_ILLUCOMP_B0045            
 #if LGE_ILLUCOMP_B0045
-#define LGE_ILLUCOMP_B0045_ENCSIMP        1
-#define FIX_LGE_ILLUCOMP_B0045            1
 #define LGE_ILLUCOMP_DEPTH_C0046          1   // JCT2-C0046 Apply illumination compensation to depth
 #if LGE_ILLUCOMP_DEPTH_C0046
@@ -158,6 +147,6 @@
 
 ///// ***** QUADTREE LIMITATION *********
-#define OL_QTLIMIT_PREDCODING_B0068       1    //JCT3V-B0068
-#define HHI_QTLPC_RAU_OFF_C0160           1   // JCT3V-C0160 change 2: quadtree limitation and predictive coding switched off in random access units 
+#define H3D_QTL                            1 // OL_QTLIMIT_dPREDCODING_B0068 //JCT3V-B0068
+                                             // HHI_QTLPC_RAU_OFF_C0160     // JCT3V-C0160 change 2: quadtree limitation and predictive coding switched off in random access units 
 
 ///// ***** OTHERS *********
@@ -186,4 +175,6 @@
 ///// ***** VSP *********
 #define MERL_VSP_C0152                    1 // JCT3V-C0152: 1: enable VSP-related tools; 0: disable VSP-related tools
+                                            // LGE_SIMP_DVP_REFINE_C0112            
+                                            // MERL_MTK_VSP_DVP_REFINE_C0152_C0131
 #if MERL_VSP_C0152
 #define MERL_VSP_C0152_BugFix_ForNoDepthCase     1// MERL bugfix for test condition of no depth
@@ -205,16 +196,13 @@
 
 #define MERL_VSP_COMPENSATION_C0152          1 // JCT3V-C0152: 1: add VSP merge candidate to merging candidate list; 0: not to add   (nocand).
-#define MERL_MTK_VSP_DVP_REFINE_C0152_C0131  1 // JCT3V-C0152 && JCT3V-C0131: 1: refine disparity vector using a warped depth block; 0: not to refine  (mvp2off).
+
 
 #define MERL_VSP_BLOCKSIZE_C0152             4 // JCT3V-C0152: VSP block size, supported values: 1, 2 and 4.
 #define VSP_MERGE_POS                        5 // JCT3V-C0152: fixed position of VSP candidate in merge list, supported values: 5.
-#define LGE_SIMP_DVP_REFINE_C0112            1 // JCT3V-C0112: 1: simplification of refining disparity vector using a warped depth block
-#define MTK_DVPREFINE_BVSP_BUG_FIX               1
+                                               //MTK_DVPREFINE_BVSP_BUG_FIX               1
 
 #else // !MERL_VSP_C0152
 #define MERL_VSP_COMPENSATION_C0152          0 // JCT3V-C0152: 1: add VSP merge candidate to merging candidate list; 0: not to add
-#define MERL_MTK_VSP_DVP_REFINE_C0152_C0131  0 // JCT3V-C0152 && JCT3V-C0131: 1: refine disparity vector using a warped depth block; 0: not to refine
 #define MERL_VSP_BLOCKSIZE_C0152             4 // JCT3V-C0152: VSP block size, supported values: 1, 2 and 4.
-#define LGE_SIMP_DVP_REFINE_C0112            0 // JCT3V-C0112: 1: simplification of refining disparity vector using a warped depth block
 #endif
 
@@ -223,4 +211,5 @@
 #if H3D_NBDV                    
 #define DIS_CANS                          1
+#define MCP_DIS_CANS                      7
 #endif                                  
 
Index: /trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 331)
+++ /trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 332)
@@ -1206,5 +1206,5 @@
 #endif
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
 Void TDecCavlc::parseSPS(TComSPS* pcSPS, Bool bIsDepth)
 #else
@@ -1447,5 +1447,5 @@
     }
 #endif
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     if( bIsDepth )
     {
Index: /trunk/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 331)
+++ /trunk/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 332)
@@ -114,5 +114,5 @@
   Void  parseVPS            ( TComVPS* pcVPS );
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   Void  parseSPS            ( TComSPS* pcSPS, Bool bIsDepth );
 #else
Index: /trunk/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecCu.cpp	(revision 331)
+++ /trunk/source/Lib/TLibDecoder/TDecCu.cpp	(revision 332)
@@ -409,7 +409,4 @@
     }
 #endif
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-    m_pcEntropyDecoder->decodeResPredFlag( pcCU, uiAbsPartIdx, uiDepth, m_ppcCU[uiDepth], 0 );
-#endif
     xFinishDecodeCU( pcCU, uiAbsPartIdx, uiDepth, ruiIsLast );
     return;
@@ -460,10 +457,4 @@
 #endif
 
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  if( !pcCU->isIntra( uiAbsPartIdx ) )
-  {
-    m_pcEntropyDecoder->decodeResPredFlag    ( pcCU, uiAbsPartIdx, uiDepth, m_ppcCU[uiDepth], 0 );
-  }
-#endif
 #if LGE_ILLUCOMP_DEPTH_C0046 && HHI_MPI
   }
@@ -679,5 +670,5 @@
   m_pcPrediction->motionCompensation( pcCU, m_ppcYuvReco[uiDepth] );
 #endif
-#if MTK_MDIVRP_C0138
+#if H3D_IVRP
   if (pcCU->getMergeFlag(0) && pcCU->getMergeIndex(0)==0 && pcCU->getResPredAvail(0))
   {
@@ -691,24 +682,4 @@
 #endif
 
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  if( pcCU->getResPredFlag( 0 ) )
-  {
-    AOF( pcCU->getResPredAvail( 0 ) );
-    Bool bOK = pcCU->getResidualSamples( 0, 
-#if QC_SIMPLIFIEDIVRP_M24938
-      true,
-#endif
-      m_ppcYuvResPred[uiDepth] );
-    AOF( bOK );
-#if LG_RESTRICTEDRESPRED_M24766
-    Int iPUResiPredShift[4];
-    pcCU->getPUResiPredShift(iPUResiPredShift, 0);
-    m_ppcYuvReco[uiDepth]->add(iPUResiPredShift, pcCU->getPartitionSize(0), m_ppcYuvResPred[uiDepth], pcCU->getWidth( 0 ), pcCU->getHeight( 0 ) );
-#else
-    m_ppcYuvReco[uiDepth]->add( m_ppcYuvResPred[uiDepth], pcCU->getWidth( 0 ), pcCU->getHeight( 0 ) );
-#endif
-  }
-#endif
-
   // inter recon
   xDecodeInterTexture( pcCU, 0, uiDepth );
@@ -722,9 +693,5 @@
   {
 #if H3D_IVRP
-#if MTK_MDIVRP_C0138
     if (pcCU->getMergeFlag(0) && pcCU->getMergeIndex(0)==0 && pcCU->getResPredAvail(0))
-#else
-    if( pcCU->getResPredFlag( 0 ) )
-#endif
     {
       m_ppcYuvReco[uiDepth]->clip( pcCU->getWidth( 0 ), pcCU->getHeight( 0 ) );
